Subject: Re: bug#64593: [PATCH] image: Add mbr-raw-image-type and use by default.

From: Nicolas Graves <[email-masked]>
Date: Thu, 27 Jul 2023 19:47:46 +0200

On 2023-07-27 18:35, Josselin Poiret via Bug reports for wrote:

> From: Josselin Poiret <[email-masked]>
>
> * gnu/system/image.scm (mbr-disk-image, mbr-raw-image-type): New variables.
> * guix/scripts/system.scm (%default-options): Use mbr-raw-image-type by
> default.
> ---
>
> How about this for now?  I think the bootloader/image-type situation is not
> clear, but at least this keeps the behavior of the previous default option.

I can confirm that this works for my particular issue of failure when running
guix system image --expression="(@(gnu system install) installation-os)".

-- 
Best regards,
Nicolas Graves